# ncurses 5.9 - patch 20120228 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20120228.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Wed Feb 29 01:38:26 UTC 2012
# ------------------------------------------------------------------------------
# NEWS               |    5 ++++-
# dist.mk            |    4 ++--
# progs/dump_entry.c |   10 +++++-----
# 3 files changed, 11 insertions(+), 8 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1866 
--- ncurses-5.9-20120225+/NEWS	2012-02-25 20:47:05.000000000 +0000
+++ ncurses-5.9-20120228/NEWS	2012-02-29 01:10:25.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1866 2012/02/25 20:47:05 tom Exp $
+-- $Id: NEWS,v 1.1867 2012/02/29 01:10:25 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,9 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20120228
+	+ fix breakage in tic/infocmp from 20120225 (report by Werner Fink).
+
 20120225
 	+ modify configure script to allow creating dll's for MinGW when
 	  cross-compiling.
Index: dist.mk
Prereq:  1.860 
--- ncurses-5.9-20120225+/dist.mk	2012-02-25 11:31:29.000000000 +0000
+++ ncurses-5.9-20120228/dist.mk	2012-02-29 01:09:10.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.860 2012/02/25 11:31:29 tom Exp $
+# $Id: dist.mk,v 1.861 2012/02/29 01:09:10 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20120225
+NCURSES_PATCH = 20120228
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: progs/dump_entry.c
Prereq:  1.97 
--- ncurses-5.9-20120225+/progs/dump_entry.c	2012-02-23 00:00:08.000000000 +0000
+++ ncurses-5.9-20120228/progs/dump_entry.c	2012-02-29 01:04:17.000000000 +0000
@@ -39,7 +39,7 @@
 #include "termsort.c"		/* this C file is generated */
 #include <parametrized.h>	/* so is this */
 
-MODULE_ID("$Id: dump_entry.c,v 1.97 2012/02/23 00:00:08 tom Exp $")
+MODULE_ID("$Id: dump_entry.c,v 1.98 2012/02/29 01:04:17 tom Exp $")
 
 #define INDENT			8
 #define DISCARD(string) string = ABSENT_STRING
@@ -631,7 +631,7 @@
 
 	predval = pred(BOOLEAN, i);
 	if (predval != FAIL) {
-	    _nc_STRCAT(buffer, name, sizeof(buffer));
+	    _nc_STRCPY(buffer, name, sizeof(buffer));
 	    if (predval <= 0)
 		_nc_STRCAT(buffer, "@", sizeof(buffer));
 	    else if (i + 1 > num_bools)
@@ -721,14 +721,14 @@
 	    if (PRESENT(insert_character) || PRESENT(parm_ich)) {
 		if (SAME_CAP(i, enter_insert_mode)
 		    && enter_insert_mode == ABSENT_STRING) {
-		    _nc_STRCAT(buffer, "im=", sizeof(buffer));
+		    _nc_STRCPY(buffer, "im=", sizeof(buffer));
 		    WRAP_CONCAT;
 		    continue;
 		}
 
 		if (SAME_CAP(i, exit_insert_mode)
 		    && exit_insert_mode == ABSENT_STRING) {
-		    _nc_STRCAT(buffer, "ei=", sizeof(buffer));
+		    _nc_STRCPY(buffer, "ei=", sizeof(buffer));
 		    WRAP_CONCAT;
 		    continue;
 		}
@@ -860,7 +860,7 @@
 	    tp[0] = '\0';
 
 	    if (box_ok) {
-		_nc_STRCAT(buffer, "box1=", sizeof(buffer));
+		_nc_STRCPY(buffer, "box1=", sizeof(buffer));
 		_nc_STRCAT(buffer,
 			   _nc_tic_expand(boxchars,
 					  outform == F_TERMINFO, numbers),
